/*
 * CaloQtotVsRigHistoAction.cpp
 *
 *  Created on: 09/mar/2010
 *      Author: S. Ricciarini
 */

#include "CaloQtotVsRigHistoAction.h"

CaloQtotVsRigHistoAction::CaloQtotVsRigHistoAction(const char *actionName, TString outFileBase,
    TString mode, bool outRoot, bool outText, TString title) :
Histo2DAction<Int_t> (actionName, title, outFileBase, mode, outRoot, outText){
}

void CaloQtotVsRigHistoAction::OnGood(PamLevel2 *event) {

  Fill(event->GetTrack(0)->GetTrkTrack()->GetRigidity(), event->GetCaloLevel2()->qtot);
}
